can you unlock 4.3.5 for AT&T?

Smokey

Member
Bronze
Sep 17, 2008
93
0
6
#1
I currently have iOS 4.3.5 installed on my iPhone, which I'd like to unlock. Do I need to downgrade in order to unlock? if so, how do I go about it?
 
Last edited by a moderator:

acosmichippo

Genius
Platinum
Sep 10, 2007
15,384
1,089
113
DC
#3
4.3.5 is not unlockable. you will either need to downgrade to 4.3.3 (i think), or wait for iOS 5 to be unlocked.

Have you jailbroken this phone before? If not, you're out of luck.
 

Smokey

Member
Bronze
Sep 17, 2008
93
0
6
#4
I'm sorry, didn't mean to put it in this forum, also I'm trying to sell it to my friend who will either be using tmobile or Verizon..when I said AT&T I meant because it's an AT&T iPhone originally.
 

Smokey

Member
Bronze
Sep 17, 2008
93
0
6
#5
and no, never jailbroken it..but if I downgrade would that matter?
 

acosmichippo

Genius
Platinum
Sep 10, 2007
15,384
1,089
113
DC
#6
Because Apple won't let you downgrade. In order to downgrade, you have to trick iTunes into doing it, and that requires files (SHSH blobs) unique to your phone that are only available if your phone was jailbroken on the old firmware you want to downgrade to.
 
Last edited by a moderator:

NewGuy

Member
Bronze
Dec 30, 2009
432
6
18
Toledo, OH
www.facebook.com
#7
First all, if its a AT&T phone u cant use it on verizon no matter what u do to it. t-mobile yes but no it wont work. You can downgrade the operating system but u cant downgrade the baseband. the baseband determines whether u can unlock it or not. And u cant downgrade anyways because to do that u have to have your SHSH's saved on tiny umbrella or cydia. U cant save them now, you have to save them on the version you wanted to downgrade to.
 

iphonewarrior

Moderator
Moderator
Apr 11, 2008
13,847
701
113
#8
Thread moved to the iPhone Unlock section.